clang-tools 8.0.0

Public Member Functions | Static Public Member Functions | List of all members
clang::query::DisableOutputQuery Struct Reference

`#include <Query.h>`

Inheritance diagram for clang::query::DisableOutputQuery:
[legend]
Collaboration diagram for clang::query::DisableOutputQuery:
[legend]

## Public Member Functions
| DisableOutputQuery (bool QuerySession::*Var)
Public Member Functions inherited from clang::query::SetNonExclusiveOutputQuery
| SetNonExclusiveOutputQuery (QueryKind Kind, bool QuerySession::*Var, bool Value)
bool | run (llvm::raw_ostream &OS, QuerySession &QS) const override
| Perform the query on `QS` and print output to `OS`. More...
Public Member Functions inherited from clang::query::Query
| Query (QueryKind Kind)
virtual | ~Query ()

## Static Public Member Functions
static bool | classof (const Query *Q)

## Additional Inherited Members
Public Attributes inherited from clang::query::SetNonExclusiveOutputQuery
bool QuerySession::* | Var
bool | Value
Public Attributes inherited from clang::query::Query
const QueryKind | Kind

## Detailed Description

Definition at line 177 of file Query.h.

## Constructor & Destructor Documentation

## ◆ DisableOutputQuery()

clang::query::DisableOutputQuery::DisableOutputQuery | ( | bool QuerySession::* | Var | ) |
| inline

Definition at line 178 of file Query.h.

## Member Function Documentation

## ◆ classof()

static bool clang::query::DisableOutputQuery::classof | ( | const Query * | Q | ) |
| inline static

Definition at line 181 of file Query.h.

References clang::query::Query::Kind, and clang::query::QK_DisableOutputKind.

The documentation for this struct was generated from the following file:

- Query.h